classification
Title: __main__.py Multiprocessing on Windows
Type: behavior Stage: resolved
Components: Library (Lib), Windows Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pthiem, sbt, vstinner
Priority: normal Keywords:

Created on 2013-02-01 16:54 by pthiem, last changed 2019-09-24 10:41 by vstinner. This issue is now closed.

Messages (3)
msg181090 - (view) Author: Philip Thiem (pthiem) Date: 2013-02-01 16:54
http://bugs.python.org/issue10845 also applies to the 2.X series.

this is multiprocessing on windows has issues with __main__.py
msg223247 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-16 18:30
Is it possible to backport the fix from #10845 to 2.7?  Is it actually worth doing?
msg353068 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-09-24 10:41
> Is it possible to backport the fix from #10845 to 2.7?  Is it actually worth doing?

I close the issue, it has been done in 2015:

commit 2a6c2c9baa4bef29d605438c3e2ada01a240bdc3
Author: Nick Coghlan <ncoghlan@gmail.com>
Date:   Thu Nov 19 12:59:39 2015 +1000

    Close #10128: don't rerun __main__.py in multiprocessing
    
    - backports issue #10845's mitigation of incompatibilities between
      the multiprocessing module and directory and zipfile execution
    - Multiprocessing on Windows will now automatically skip rerunning top
      level __main__.py modules in spawned processes, rather than failing
      with AssertionError
History
Date User Action Args
2019-09-24 10:41:04vstinnersetstatus: open -> closed

nosy: + vstinner
messages: + msg353068

resolution: fixed
stage: resolved
2019-04-26 19:49:41BreamoreBoysetnosy: - BreamoreBoy
2014-07-17 02:49:53ned.deilysetnosy: + sbt
2014-07-16 18:30:35BreamoreBoysetversions: - Python 2.6
nosy: + BreamoreBoy

messages: + msg223247

components: + Library (Lib)
2013-02-01 16:55:03pthiemsettitle: Multiprocessing on Windows -> __main__.py Multiprocessing on Windows
2013-02-01 16:54:16pthiemcreate